Bug 75187 - /dev/stdin problem
/dev/stdin problem
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-05 04:31 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:09:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
as requested. it's in binray format (178 bytes, application/octet-stream)
2002-10-05 16:25 EDT, Need Real Name
no flags Details
oups, i red my mail on the wrong machine... Here is the "good" one (673 bytes, application/octet-stream)
2002-10-07 04:49 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-10-05 04:31:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [fr] (WinNT; I)

Description of problem:
                     
                      I have about 100 RedHat 7.1 and  7.2 printing for months via samba to
                    windows printers and via jetdirect driver to HP network printers.
                     I just installed  RedHat 7.3 on some new machines and... just after
                    kickstart is over, reboot, login as root and add my printers with
                    printconf-gui. No fiddling yet.
                    Seems good but,when printing a test page. Nothing comes out .
                    Here is the message I find in the /var/spoll/lpd/HP/status.pr file: 

                    'mf_wrapper' filter msg - '/usr/share/printconf/util/mf_wrapper:
                    /dev/stdin: Aucun piriphirique ou adresse' at...
                    in english I guess it means: no such device or address ?

                    1)I checked the /dev/stdin , a link to ../dev/fd/0 , itself a link 
                    to /dev/pts/0 ...same as in RH72

                    2)Tried to reinstall package dev, just in case ... no changes.

                    3)The offending line in in /usr/share/printconf/util/mf_wrapper:
                    # Run magic filter
                    /usr/bin/magicfilter-t "$TMP_FILE" $DEBUGSTRING < /dev/stdin
                    RETVAL=$?
                    Looks the same as in redHat 7.2 !

                    4) I compared the permissions on lp* binairies, mf_*_wrapper. The same !

                    Here are my /etc/printcap: (generated by printconf):

                    HP:\
                            :sh:\
                            :ml=0:\
                            :mx=0:\
                            :sd=/var/spool/lpd/HP:\
                            :af=/var/spool/lpd/HP/HP.acct:\
                            :lp=|/usr/share/printconf/util/smbprint:\
                            :lpd_bounce=true:\
                            :if=/usr/share/printconf/util/mf_wrapper:
                    HPB3:\
                            :ml=0:\
                            :mx=0:\
                            :sd=/var/spool/lpd/HPB3:\
                            :af=/var/spool/lpd/HPB3/HPB3.acct:\
                            :sh:\
                            :lp=|/usr/share/printconf/util/jetdirectprint:\
                            :lpd_bounce=true:\
                            :if=/usr/share/printconf/util/mf_wrapper:

                    Actually exactly the same as the ones in our RedHat 7.2 !

                  


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install RH73 via Kickstart from NFS servers with NO pre/post install actions 
2.reboot and  log as root. Do not change anything 
3. install network printer 
4. print A4 test page
	

Actual Results:   here is what I see in /var/spool/lpd/HPB3/status.pr:

              waiting for subserver to exit at 2002-09-30-21:59:58.819 ## A=<NULL>
                    number=0 process=1994
                    subserver pid 1995 starting at 2002-09-30-21:59:58.825 ##
                    A=root@pc106a1-26+993 number=993 process=1995
                    accounting at start at 2002-09-30-21:59:58.825 ## A=root@pc106a1-26+993
                    number=993 process=1995
                    opening device '|/usr/share/printconf/util/jetdirectprint' at
                    2002-09-30-21:59:58.826 ## A=root@pc106a1-26+993 number=993 process=1995
                    printing job 'root@pc106a1-26+993' at 2002-09-30-21:59:58.827 ##
                    A=root@pc106a1-26+993 number=993 process=1995
                    processing 'dfA993pc106a1-26.insa-lyon.fr', size 18255, format 'f', IF
                    filter 'mf_wrapper' at 2002-09-30-21:59:58.828 ## A=root@pc106a1-26+993
                    number=993 process=1995
                    IF filter 'mf_wrapper' filter msg - '/usr/share/printconf/util/mf_wrapper:
                    /dev/stdin: Aucun piriphirique ou adresse' at 2002-09-30-21:59:59.298 ##
                    A=root@pc106a1-26+993 number=993 process=1995
                    IF filter 'mf_wrapper' filter exit status 'JFAIL' at
                    2002-09-30-21:59:59.305 ## A=root@pc106a1-26+993 number=993 process=1995
                    printing finished at 2002-09-30-21:59:59.305 ## A=root@pc106a1-26+993
                    number=993 process=1995
                    waiting for printer filter to exit at 2002-09-30-21:59:59.305 ##
                    A=root@pc106a1-26+993 number=993 process=1995
                    (END)

                

Additional info:
Comment 1 Tim Waugh 2002-10-05 06:47:32 EDT
Please attach your /etc/alchemist/namespace/printconf/local.adl file (this 
contains your printing configuration).
Comment 2 Need Real Name 2002-10-05 16:25:47 EDT
Created attachment 78966 [details]
as requested. it's in binray format
Comment 3 Tim Waugh 2002-10-05 17:46:11 EDT
You seem to have no printers configured at all.  How have you configured 
printing?  Did you use printconf-gui?
Comment 4 Need Real Name 2002-10-07 04:49:26 EDT
Created attachment 79147 [details]
oups, i red my mail on the wrong machine... Here is the "good" one
Comment 5 Tim Waugh 2002-10-07 04:58:58 EDT
Thanks.
Comment 6 Pedro Ferreira 2002-10-09 16:39:05 EDT
I have the same problem when printing ps files. It's not possible to print ps
documents with a RH 7.3, sometimes it prints a few pages, sometimes nothing.
This bug should be marked high priority...!
Comment 7 Tim Waugh 2002-10-13 11:46:08 EDT
Has anyone seen this on Red Hat Linux 8.0?
Comment 8 Bill Nottingham 2006-08-05 01:27:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 9 Bill Nottingham 2006-10-18 13:09:34 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.